Retrieve Fx Rate
GET
/fx-rate-api/list/fx/rate
The queryFxRate endpoint retrieves a list of available foreign exchange rates for a partner to use in their transactions. A partner would call this endpoint when they need to obtain the current FX rates for a specific country or group of countries. This endpoint returns a list of FX rates in real-time.
Query parameters
| Name | Type | Description |
|---|---|---|
| countryCode | string | — |
Request body (optional)
This endpoint accepts a body with no declared schema.
Response 200
| Field | Type | Description |
|---|---|---|
| countryCode | string | A two-letter ISO 3166-1 alpha-2 code representing the country. |
| countryName | string | The full name of the country. |
| fxDealRate | number | The current foreign exchange deal rate. |
| fxWindow | string | The time window during which the foreign exchange deal rate is valid. |
| rateExpiryTime | string | The date and time when the foreign exchange deal rate expires. |